summaryrefslogtreecommitdiff
path: root/totsc/install-1cd-uk.sh
diff options
context:
space:
mode:
Diffstat (limited to 'totsc/install-1cd-uk.sh')
-rwxr-xr-xtotsc/install-1cd-uk.sh19
1 files changed, 17 insertions, 2 deletions
diff --git a/totsc/install-1cd-uk.sh b/totsc/install-1cd-uk.sh
index 7330f43..9f2f582 100755
--- a/totsc/install-1cd-uk.sh
+++ b/totsc/install-1cd-uk.sh
@@ -1,5 +1,20 @@
#!/bin/sh
-# Tales of the Sword Coast 1CD version
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Tales of the Sword Coast (1CD UK version)
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
@@ -18,7 +33,6 @@ unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die
mkdir -p "$TARGETDIR"/save || die
-cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/save || die
cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
rm -r "$TARGETDIR"/minimumdata
@@ -32,5 +46,6 @@ mkdir -p "$TARGETDIR"/movies
copylower "$CDMOUNT/cd6/" "$TARGETDIR"
mkdir -p "$TARGETDIR"/mpsave
+cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/mpsave || die
setperms "$TARGETDIR"